On Aug 7, 2012, at 16:28 , Tom Moulton <lists / ruby-forum.com> wrote:

> Ryan Davis wrote in post #1071595:
>> On Aug 7, 2012, at 04:01 , Tom Moulton <lists / ruby-forum.com> wrote:
>>=20
>>> Ok, so what would you suggest?
>>=20
>> Start by not ignoring my previous email:
>=20
> Ryan,
>=20
> I am NOT ignoring your email.
>=20
> And for a SECOND time I am asking for any other suggestion other than=20=

> DON'T DO THAT!

Where the hell did I say that? I suggested what I thought the problem =
was and how to diagnose it.

> I do have a feeling your posts may have a very low signal to noise=20
> ratio.
>=20
> But seriously, do you have anything worth while to suggest to me?

The suggestion I've made TWICE is worthwhile to anyone wanting to =
diagnose their problem. It might not be worthwhile to you since you seem =
to want to hear something completely different from what I'm saying.

You provided:

>  - INSTALLATION DIRECTORY: /home/gotgritc/ruby/gems

and:

> gotgritc / xyz.us [~/]# gem which xmlsimple
> /home/gotgritc/ruby/gems/gems/xml-simple-1.1.1/lib/xmlsimple.rb

and:

> gotgritc / xyz.us [~]# ruby -rubygems -e 'require "xmlsimple"'
> /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36

As you can see... "/usr/lib/ruby" !=3D "/home/gotgritc/ruby/gems"

which means... AGAIN... that you're most likely not running 'gem' and =
'ruby' from the same install.=20

AGAIN to diagnose:

> Try 'which ruby' vs 'which gem'.


--
I know that you believe you understand what you think I said but,
I'm not sure you realize that what you heard is not what I meant.